package com.inspect.metadata.eqpbook.service;

import com.inspect.metadata.eqpbook.domain.BasedataUavResumeInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

public interface IBasedataUavResumeInfoService {
    BasedataUavResumeInfo selectBasedataUavResumeInfoByRecordId(Long recordId);

    List<BasedataUavResumeInfo> selectBasedataUavResumeInfoList(BasedataUavResumeInfo resumeInfo);

    int insertBasedataUavResumeInfo(BasedataUavResumeInfo resumeInfo);

    int updateBasedataUavResumeInfo(BasedataUavResumeInfo resumeInfo);

    int deleteBasedataUavResumeInfoByRecordIds(Long[] recordIds);

    int deleteBasedataUavResumeInfoByRecordId(Long recordId);
}
